import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增积分商品
    addgoodspoints(data) {
        return request({
            url: '/goods/points', 
            method: 'post',
            data
        })
    },
    //编辑积分商品
    editgoodspoints(data) {
        return request({
            url: '/goods/updatePoints',
            method: 'post',
            data
        })
    },
    //查询积分商品列表
    goodslistPoints(data) {
        return request({
            url: '/goods/listPoints',
            method: 'get',
            params: data
        })
    },
    //商品批量删除
    editgoodsbatchRemove(data) {
        return request({
            url: '/goods/batchRemove',
            method: 'post',
            data
        })
    },
}